# gorigin

Have you ever peered into `$GOPATH/bin` only to wonder where all that stuff came from?

As someone who originally came from scripting languages where one could trivially peer into an 'executable' using an editor, the origin of binaries in that folder (specifically if `GOPATH=~`) was completely opaque to me. Not any more!

`gorigin` helps shed light on this by creating a list of binaries in all the `bin` folders in the `GOPATH` and marching through all the `src` folders in the `GOPATH` and reporting when a go package with a package name of `main` matches.
